Loading...
Searching...
No Matches
NonlinearOptimizer.h File Reference

Base class and parameters for nonlinear optimization algorithms. More...

Go to the source code of this file.

## Classes

class | gtsam::NonlinearOptimizer
| This is the abstract interface for classes that can optimize for the maximum-likelihood estimate of a NonlinearFactorGraph. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

bool | gtsam::checkConvergence (double relativeErrorTreshold, double absoluteErrorTreshold, double errorThreshold, double currentError, double newError, NonlinearOptimizerParams::Verbosity verbosity=NonlinearOptimizerParams::SILENT)
| Check whether the relative error decrease is less than relativeErrorTreshold, the absolute error decrease is less than absoluteErrorTreshold, or the error itself is less than errorThreshold.
GTSAM_EXPORT bool | gtsam::checkConvergence (const NonlinearOptimizerParams &params, double currentError, double newError)

## Detailed Description

Base class and parameters for nonlinear optimization algorithms.

Author
  Richard Roberts

Date
  Sep 7, 2009